centos yum源 yum 在线更新php5.3至php7.1

作者: wxfeng 分类: linux,资讯 发布时间: 2017-02-13 00:00

新入手了一台linux web服务器,系统为centos6.5。为了快速部署,采用了默认的yum源进行lamp生产环境的部署。不料在将项目(基于框架:thinkphp)迁至服务器上之后,出现了如下错误:

syntax error, unexpected '['

但在本地运行正常,于是想可能是php版本兼容问题,本想下载编译安装新版本,无奈懒癌病发作,为了方便,在网上开始找yum源,翻山越岭,碰巧遇到了下面这篇文章,并按照作者的步骤,成功进行了更新。并找到了一个不错的yum源,php版本已更新至php.7.1,还是相当及时的。红色部分即为YUM源更新方法。

http://www.thinkphp.cn/topic/45171.html

在更新PHP之前,先查看下当前PHP版本,避免重复的更新

  # php -v

  
  检查当前PHP的安装包

  # yum list installed | grep php

  移除当前PHP的安装包,否则容易起冲突

  # yum remove php*

  由于默认的YUM源无法升级PHP,所以需要添加第三方的YUM源,此处用到webtatic。
  因为是CentOS 6.5,所以用以下URL

  # rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm

  如果是CentOS 7.x

  rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm
  rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm


  
  查看YUM源上能用PHP安装包

  # yum list php*

  
  安装PHP5.5及需要的扩展

# yum install php70w php70w-devel php70w-common php70w-mysql php70w-pdo php70w-opacache php70w-xml php70w-gd  

  再次查看PHP版本,以确认安装是否成功
  
  对了,如果你的PHP要用到Redis,请别忘了安装php-redis 扩展

  # yum install php-redis

  

如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注